Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Servant_Dispatcher Class Reference

Concrete instantiation of the Servant_Dispatcher strategy. More...

`#include <Default_Servant_Dispatcher.h>`

Inheritance diagram for TAO_Default_Servant_Dispatcher

[legend]
Collaboration diagram for TAO_Default_Servant_Dispatcher:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Default_Servant_Dispatcher (void)
virtual void | dispatch (TAO_Object_Adapter::Servant_Upcall &servant_upcall, TAO_ServerRequest &req, CORBA::Environment &ACE_TRY_ENV)
| Dispatch the request to the servant.
virtual TAO_POA* | create_POA (const ACE_CString &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter, CORBA_Environment &ACE_TRY_ENV)
| Factory method for creating new POA's.

## Detailed Description

Concrete instantiation of the Servant_Dispatcher strategy.

This class just calls _dispatch on the servant_upcall. No extra processing is done or needed.

## Constructor & Destructor Documentation

virtual TAO_Default_Servant_Dispatcher::~TAO_Default_Servant_Dispatcher ( | void )`[virtual]`

## Member Function Documentation

TAO_POA * TAO_Default_Servant_Dispatcher::create_POA ( | const ACE_CString & name,
| TAO_POA_Manager & poa_manager,
| const TAO_POA_Policy_Set & policies,
| TAO_POA * parent,
| ACE_Lock & lock,
| TAO_SYNCH_MUTEX & thread_lock,
| TAO_ORB_Core & orb_core,
| TAO_Object_Adapter * object_adapter,
| CORBA_Environment & ACE_TRY_ENV )`[virtual]`

| Factory method for creating new POA's. Reimplemented from TAO_Servant_Dispatcher.

void TAO_Default_Servant_Dispatcher::dispatch ( | TAO_Object_Adapter::Servant_Upcall & servant_upcall,
| TAO_ServerRequest & req,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Dispatch the request to the servant. Reimplemented from TAO_Servant_Dispatcher.

The documentation for this class was generated from the following files:

- Default_Servant_Dispatcher.h
- Default_Servant_Dispatcher.cpp